/* 全体のスタイル */
body {
    font-family: 'Arial', sans-serif;
    line-height: 1.6;
    margin: 0;
    padding: 0;
    background-color: #f9f2e2;
    color: #333;
    overflow-x: hidden;
}

/* ヘッダーのスタイル */
header {
    /*background-color: #cd6319;*/
    background-color: #333;
    color: #FFF;
    width: 100%;
    padding: 0.5px;
    text-align: center;
    position: fixed;
    top: 0;
    left: 0;
}

h1,
h3,
h5 {
    margin: 0;
    font-size: 1.5rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.3);
}

/* ナビゲーションのスタイル */
nav ul {
    list-style-type: none;
    padding: 0;
    margin-top: 1rem;
}

nav ul li {
    display: inline;
    margin: 0 10px;
}

nav ul li a {
    color: #FFF;
    text-decoration: none;
    font-weight: bold;
    font-size: 1.1rem;
    transition: color 0.3s ease;
}

nav ul li a:hover {
    color: #FFD700;
}

/* メインコンテンツのスタイル */
main {
    /*padding: 2rem;*/
    /*max-width: 800px;*/
    margin: 0px auto 50px auto;
    flex-direction: column;
    /* 子要素を縦に並べる */
    align-items: center;
    /* 子要素を横方向に中央揃え */
    justify-content: center;
    /* 子要素を縦方向に中央揃え */
    /*background-color: #FFF;*/
    /*box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);*/
    width: 80%;
}

/*-----------------------------------------　メンバー　----------------------------------------*/
.members {
    display: flex;
    flex-wrap: wrap; /* はみ出し時に折り返し、横スクロール防止 */
}

.member {
    margin: 10px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 200px;
    height: 300px;
    text-align: center;
    align-items: center;
    background-color: #FFF;
}

.member-img {
    background-image: url(../Other/sky_2.jpg);
    background-repeat: no-repeat;
    background-size: auto;
    width: 100%;
    height: 100%;
    /*pointer-events: none !important;*/
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

.icon {
    max-width: 200px;
}

.member-container {
    display: flex;
    align-items: center;
    text-align: center;
    overflow: hidden;
    height: 60%;
}

.member-wrapper {
    display: flex;
}

.member-wrapper img {
    width: auto;
    height: 180px;
    object-fit: contain;
    /* 親要素の中に収まるように調整 */
    pointer-events: none !important;
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

/*-------------------------------------　=　------------------------------------------*/


/* 見出しのスタイル */
h2 {
    color: #f97948;
    font-weight: bold;
    text-shadow: 1px 0 #DDD,
        1px 1px #DDD,
        0 1px #DDD,
        -1px 1px #DDD,
        -1px 0 #DDD,
        -1px -1px #DDD,
        0 -1px #DDD,
        1px -1px #DDD;
    border-bottom: 2px solid #f97948;
    padding-bottom: 0.5rem;
}

/* ボタンのスタイル */
.button {
    display: inline-block;
    background-color: #cd6319;
    color: #FFF;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.button:hover {
    background-color: #FF6600;
}

/*　-------------------------------------------------------------------------------------------　*/

/* フッターのスタイル */
footer {
    background-color: #f97948;
    color: #FFF;
    text-align: center;
    padding: 0.5px;
    /*position: fixed;
    bottom: 0;*/
    width: 100%;
}

/* リンクのスタイル */
a {
    color: #FF6600;
    text-decoration: none;
    font-weight: bold;
    text-shadow: 1px 0 #DDD,
        1px 1px #DDD,
        0 1px #DDD,
        -1px 1px #DDD,
        -1px 0 #DDD,
        -1px -1px #DDD,
        0 -1px #DDD,
        1px -1px #DDD;
}

a:hover {
    text-decoration: underline;
}